/**
 * Munich University of Applied Sciences, FB07 Computer Science
 * FWP - Remotely Controlled Robot - 7.Semester
 * 
 * Class Description:
 * 		This class serves as demo application for the infrared connection
 * 		between the RCX and it's proxy counterpart. It needs the supporting
 * 		demo class ProxyPanel to work which gives the user the ability to send certain
 * 		commands to the RCX and view the information received from the robot.
 * 
 * @author Thomas Woellert (thomas.woellert@t-online.de)
 * @author Stefan Weissbach (weissbst@gmx.de)
 * @author Willi Tremmel (TremmelW@gmx.de)
 * 
 * System: Linux 2.6, Sun Java JDK 5.0
 * Semestergroup: 7T
 */
package proxy.demo;

import java.awt.BorderLayout;

import javax.swing.JFrame;

import proxy.ProxyMessageHandler;


public class ProxyDemo {
	
	/* Time till a timeout occurs on the proxy side */
	protected static int timeout = 6000;
	
	/* How often should we retry after a timeout */
	protected static int numberOfRetries = 3;
	
	/* Show debug messages ? */
	protected static boolean isDebug = true;
	
	/**
	 * Main method to run to start the demo
	 * @param args, no arguments needed
	 */
	public static void main(String[] args) {
		System.out.println("[Info] - Starting Proxy Control Panel ...");
		
		// Create the handler taking care of communication
		ProxyMessageHandler messageHandler = new ProxyMessageHandler(timeout, numberOfRetries, isDebug);

		// Create the control panel
		ProxyPanel proxyPanel = new ProxyPanel(messageHandler);
		
	    // Create the client frame
	    JFrame proxyFrame = new JFrame("Proxy Control Panel");

	    // Add the control panel to the frame
	    proxyFrame.getContentPane().add(proxyPanel, BorderLayout.CENTER);
	    
	    // Display the frame
	    proxyFrame.pack();
	    proxyFrame.setVisible(true);
	}
}
