/**
 * Represents a packet.
 *
 * @author Stephan Poser.
 */
public class Packet
{
	/** Opcode. */
    private int opcode;

    /** Data. */
    private int data;

    /**
      * Ctor.
      *
      * @param c opcode.
      * @param v value.
      */
    Packet(int opcode, int data)
    {
        this.opcode = opcode;
        this.data = data;
    }

    /**
     * Returns the packetvalue.
     * 
     * @return data.
     */
    int getData()
    {
        return data;
    }

    /**
     * Returns the opcode.
     *
     * @return opcode.
     */
    int getOpcode()
    {
        return opcode;
    }


	/**
	 * Returns opcode and data as string.
	 *
	 * @return string.
	 */
    public String toString()
    {
		return opcode + " " + data;
    }
}
